/***************************************************************************
                          logindialog.cpp  -  description
                             -------------------
    begin                : Thu Jan 6 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : j.struyve@village.uunet.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id$
 *
 */

#include "qtabman.h"

LoginDialog::LoginDialog( QWidget *parent, const char *name )
        : QDialog( parent, name, TRUE )
{
	QPushButton *ok, *cancel;
	
	this->setCaption ( "Login" ) ;
	
	username = new QLineEdit(this,NULL);
	passwd = new QLineEdit(this,NULL);
	database = new QLineEdit(this,NULL);
	
	QLabel *u_label = new QLabel(QString("Username"),this,NULL);
	QLabel *p_label= new QLabel(QString("Password"),this,NULL);
	QLabel *d_label = new QLabel(QString("Database"),this,NULL);
	u_label->setGeometry(10,10,70,25);
	p_label->setGeometry(10,35,70,25);
	d_label->setGeometry(10,60,70,25);
	
	this->resize(380,100);
	
	username->setGeometry(80,10,170,25);
	passwd->setGeometry(80,35,170,25);
	database->setGeometry(80,60,170,25);
	
	passwd->setEchoMode(QLineEdit::Password);

	ok = new QPushButton( "Ok", this );
	cancel = new QPushButton( "Cancel", this );
	
	ok->setGeometry( 270,10, 100,30 );
	cancel->setGeometry( 270,55, 100,30 );
	
	username->setFocus();
	ok->setDefault(TRUE);
	connect( ok, SIGNAL(clicked()), SLOT(accept()) );
	connect( cancel, SIGNAL(clicked()), SLOT(reject()) );
}

LoginDialog::~LoginDialog()
{
	delete username;
	delete passwd;
	delete database;
}
LoginDialog::exec()
{
	QDialog::exec();
}